SYNCHRONIZE_HARDIRQ(9)

NAME
synchronize_hardirq - wait for pending hard IRQ handlers (on other CPUs)

SYNOPSIS

void synchronize_hardirq(unsigned int irq);

ARGUMENTS

irq
    interrupt number to wait for

DESCRIPTION

This function waits for any pending hard IRQ handlers for this interrupt to complete before returning. If you use this function while holding a resource the IRQ handler may need you will deadlock. It does not take associated threaded handlers into account.

Do not use this for shutdown scenarios where you must be sure that all parts (hardirq and threaded handler) have completed.

This function may be called - with care - from IRQ context.

COPYRIGHT